/**
 * @typedef {{
 *    image?: string,
 *    course?: string,
 *    title?: string,
 *    author: string,
 *    courseYear: string
 *  }} AppuntiCardProps
 */

/**
 *
 * @param {AppuntiCardProps} param0
 * @returns
 */
export const AppuntiCard = ({ course, title, author, courseYear }) => {
    return (
        <div class="appunti-item">
            <div class="thumbnail"></div>
            {title && <div class="title">{title}</div>}
            {course && <div class="course">{course}</div>}
            <div class="author">@{author}</div>
            <div class="course-year">{courseYear}</div>
        </div>
    )
}

export const AppuntiList = ({ children }) => {
    return <div class="appunti-list">{children}</div>
}
