---
id: attivazione-poisson
title: Come attivare il proprio account Poisson
description: Guida all'attivazione dell'account Poisson, con istruzioni per il primo accesso e configurazione del proprio sito
author: Luca Lombardo
tags: [poisson, sito, ssh]
---

Poisson è un server autogestito dalla comunità studentesca di matematica, da sempre gestito con cura dai membri del PHC. Ogni studentə ha la possibilità di attivare un account personale, che consente l'accesso alla macchina via SSH e la creazione di uno spazio web personale.

## Come richiedere un account

Se non si è mai creato un account Poisson, è necessario inviare una richiesta via email a **macchinisti@lists.dm.unipi.it** includendo:

-   Nome

-   Cognome

-   Username di ateneo (quello associato alla propria email istituzionale)

Nella mail è sufficiente specificare che si desidera attivare un account Poisson. I "macchinisti" si occuperanno di attivare l'account il prima possibile.

### Come ottenere le credenziali

Dopo l'attivazione, le credenziali del proprio account saranno disponibili accedendo al seguente sito:

<p align="center">
    <a href="https://credenziali.phc.dm.unipi.it/">https://credenziali.phc.dm.unipi.it/</a>
</p>

Assicuriamoci di accedere con le credenziali di ateneo per recuperare username e password assegnati.

## Primo accesso al server

Per accedere a Poisson via SSH, è necessario:

1. Aprire un terminale (su Linux/Mac) o utilizzare un client SSH come PuTTY (su Windows).

2. Eseguire il comando:

    ```bash
    ssh <username>@poisson.phc.dm.unipi.it
    ```

    Dove `<username>` è il proprio username che è stato fornito con le credenziali.

## Configurazione della pagina web

Dopo aver effettuato il primo accesso, è possibile configurare la propria pagina web personale. Nella home directory del proprio account, è presente una cartella `public_html` in cui è possibile inserire i file necessari per la propria pagina web.

Vediamo un piccolo esempio di file `index.html` che possiamo creare:

```html
<!DOCTYPE html>
<html lang="it">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Sergio Steffè</title>
    </head>
    <body>
        <h1>Sergio Steffè</h1>
        <img
            src="https://people.cs.dm.unipi.it/steffe/sergio.jpg"
            alt="Foto di Sergio Steffè"
            style="max-width: 300px; border-radius: 10px;"
        />
        <p>Ciao! Sono Sergio Steffè.</p>
        <p>Email: <a href="mailto:sergio.steffe@example.com">sergio.steffe@example.com</a></p>
    </body>
</html>
```

Una volta salvato il file `index.html` nella cartella `public_html`, sarà possibile visualizzarlo accedendo al seguente indirizzo:

    https://poisson.phc.dm.unipi.it/~<username>

Dove `<username>` è il proprio username.

### Creazione di pagine web più complesse

Per creare pagine web più complesse, suggeriamo di utilizzare il framework [Astro](https://astro.build/), che permette di creare siti web statici in modo semplice e veloce. [Abbiamo scritto una guida](/guide/pagina-poisson-con-astro) su come iniziare a utilizzare Astro per creare la nostra pagina web e caricarla su Poisson.
