declare module '*.yaml' {
    const value: any // Add type definitions here if desired
    export default value
}

declare module '@/data/macchinisti.yaml' {
    type Macchinista = {
        fullName: string
        description: string

        entranceDate: number
        exitDate?: number

        social: Record<string, string>

        founder?: boolean
    }

    const value: Macchinista[]
    export default value
}

declare module '@/data/domande-esami.yaml' {
    export type Question = {
        course: string
        content: string
        tags: string[]
    }

    export type Group = {
        id: string
        name: string
        items: Array<string>
    }

    export type Database = {
        names: Record<string, string>
        groups: Group[]
        questions: Question[]
    }

    const value: Database
    export default value
}
